"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.messages = exports.ruleName = undefined;

exports.default = function (actual) {
  return function (root, result) {
    var validOptions = (0, _utils.validateOptions)(result, ruleName, { actual: actual });
    if (!validOptions) {
      return;
    }

    var sourceCss = root.source.input.css;
    if (sourceCss === "" || sourceCss.slice(-1) === "\n") {
      return;
    }

    (0, _utils.report)({
      message: messages.rejected,
      node: root,
      index: sourceCss.length - 1,
      result: result,
      ruleName: ruleName
    });
  };
};

var _utils = require("../../utils");

var ruleName = exports.ruleName = "no-missing-end-of-source-newline";

var messages = exports.messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: "Unexpected missing end-of-source newline"
});